Type to search.

Fork a stream

Base URL
https://{kibana_url}
  • POST /api/streams/{name}/_fork
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 9.1 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Forks a wired stream and creates a child stream

Required privileges

Privileges manage_stream

Path parameters

name string · max length: 200 required

The name of the parent stream to fork from.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

draft boolean
status enum
Values: enabled disabled
stream object required
name string · max length: 200 required
where union anyOf required
Any of:
contains union string | number | boolean
endsWith union string | number | boolean
eq union string | number | boolean
field string · min length: 1 · max length: 256 required
gt union string | number | boolean
gte union string | number | boolean
includes union string | number | boolean
lt union string | number | boolean
lte union string | number | boolean
neq union string | number | boolean
startsWith union string | number | boolean

Response

200

The stream was forked successfully.